attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;
uniform highp mat4 u_modelViewProjectionMatrix;

attribute lowp vec2 a_textureOffset; // Tile size. Range 0.01 to 1.0
attribute lowp vec2 a_tilesize; // Shift tile. Range 0.0 > 1.0
attribute lowp vec2 a_tilepos;

uniform lowp vec4 u_materialAmbient;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
uniform highp float u_time;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color * vec4(u_materialAmbient.a, u_materialAmbient.a, u_materialAmbient.a, 1.0);
	
	v_texCoord = a_texCoord + vec2(fract(u_time*0.1), 0.0);	
}